%define upstream_name LWP-ConsoleLogger
%define upstream_version 1.000001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    LWP tracing and debugging
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Data::Printer) >= 0.360.0
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::FormatText::WithLinks)
BuildRequires: perl(HTML::Restrict)
BuildRequires: perl(HTTP::Body)
BuildRequires: perl(HTTP::CookieJar::LWP)
BuildRequires: perl(HTTP::CookieMonster)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(JSON::MaybeXS) >= 1.3.5
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Log::Dispatch) >= 2.560.0
BuildRequires: perl(Log::Dispatch::Array)
BuildRequires: perl(Module::Load::Conditional)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::StrictConstructor)
BuildRequires: perl(Parse::MIME)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Plack::Handler::HTTP::Server::Simple)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Test::Agent)
BuildRequires: perl(Ref::Util)
BuildRequires: perl(String::Trim)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Term::Size::Any)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Text::SimpleTable::AutoWidth) >= 0.90.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Types::Common::Numeric)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
BETA BETA BETA. This is currently an experiment. Things could change.
Please adjust accordingly.

It can be hard (or at least tedious) to debug mechanize scripts.
LWP::Debug is deprecated. It suggests you write your own debugging
handlers, set up a proxy or install Wireshark. Those are all workable
solutions, but this module exists to save you some of that work. The
guts of this module are stolen from Plack::Middleware::DebugLogging,
which in turn stole most of its internals from Catalyst. If you're new
to LWP::ConsoleLogger, I suggest getting started with the
LWP::ConsoleLogger::Easy wrapper. This will get you up and running in
minutes. If you need to tweak the settings that
LWP::ConsoleLogger::Easy chooses for you (or if you just want to be
fancy), please read on.

Since this is a debugging library, I've left as much mutable state as
possible, so that you can easily toggle output on and off and otherwise
adjust how you deal with the output.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Aug 30 2023 tv <tv> 1.0.1-1.mga10
+ Revision: 1981095
- update to 1.000001

* Fri Aug 19 2022 tv <tv> 1.0.0-1.mga9
+ Revision: 1878714
- update to 1.000000

* Fri Apr 22 2022 tv <tv> 0.0.44-1.mga9
+ Revision: 1852677
- update to 0.000044

* Wed Mar 23 2022 umeabot <umeabot> 0.0.43-2.mga9
+ Revision: 1820601
- Mageia 9 Mass Rebuild

* Sat Mar 06 2021 tv <tv> 0.0.43-1.mga9
+ Revision: 1700187
- update to 0.000043

* Sat Feb 15 2020 umeabot <umeabot> 0.0.42-2.mga8
+ Revision: 1526810
- Mageia 8 Mass Rebuild

* Sun Jun 30 2019 tv <tv> 0.0.42-1.mga8
+ Revision: 1416424
- update to 0.000042

* Sat Oct 20 2018 tv <tv> 0.0.39-1.mga7
+ Revision: 1322683
- update to 0.000039

* Thu Sep 20 2018 umeabot <umeabot> 0.0.36-2.mga7
+ Revision: 1284488
- Mageia 7 Mass Rebuild

* Wed Jul 26 2017 sander85 <sander85> 0.0.36-1.mga7
+ Revision: 1131178
- update to 0.000036
- update to 0.000035

* Wed Jul 19 2017 sander85 <sander85> 0.0.35-1.mga7
+ Revision: 1125084
- update to 0.000035

* Sun Jun 19 2016 pterjan <pterjan> 0.0.23-2.mga6
+ Revision: 1029474
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.0.23-1.mga6
+ Revision: 1007893
- update to 0.000023

* Fri Apr 15 2016 shlomif <shlomif> 0.0.22-1.mga6
+ Revision: 1001999
- update to 0.000022

* Fri Feb 19 2016 umeabot <umeabot> 0.0.20-2.mga6
+ Revision: 969197
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 0.0.20-1.mga6
+ Revision: 864501
- imported package perl-LWP-ConsoleLogger

